/* ============================================================================
 * File Name: Button_sw.h
 *   Development version of the Button_SW component
 *
 * Description:
 *   Demo project of button swich detection using  
 *   vertical counters algorithm
 *   Uses polling technique.
 *
 * Credits:
 *   based on vertical counters algorithm
 *    https://www.compuphase.com/electronics/debouncing.htm
 *
 * Note:
 *
 * ============================================================================
 * PROVIDED AS-IS, NO WARRANTY OF ANY KIND, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * FREE TO SHARE, USE AND MODIFY UNDER TERMS: CREATIVE COMMONS - SHARE ALIKE
 * ============================================================================
*/

    
#include <project.h>
#include <cytypes.h>
 
            
/***************************************
*        read-only parameters
***************************************/     

#define BTN1_NumButtons    1   //  code tested only for single button, but can be extended up to 8 buttons  
    


/***************************************
*        global variables
***************************************/  
    


/***************************************
*        read-only variables
***************************************/  

// encapsulation->  
#define BTN1_BtnPressed      BTN1_GetBtnPressed()      // flag
#define BTN1_BtnReleased     BTN1_GetBtnReleased()     // flag         
 

    
/***************************************
*        Function Prototypes
***************************************/

void  BTN1_Start();                 // start encoder
void  BTN1_Stop();                  // stop encoder
uint8 BTN1_GetBtnPressed();         //  
uint8 BTN1_GetBtnReleased();        //  



/* [] END OF FILE */


